> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/webhooks/working-with-webhooks/merchant-onboarding-webhooks.md).

# Merchant Onboarding Webhooks

The **Merchant Onboarding Webhooks** provide updates throughout the merchant onboarding process. Boarding Webhooks triggered at different stages of the boarding process. Used to provide API/public keys for integration. These include application status changes and require fixes.

For more information, refer to the following related articles:

* [Application Status](/api-reference/webhooks/working-with-webhooks/merchant-onboarding-webhooks/application-status.md)
* [Application Fixes](/api-reference/webhooks/working-with-webhooks/merchant-onboarding-webhooks/application-fixes.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/webhooks/working-with-webhooks/merchant-onboarding-webhooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
